Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.neuroph.util
Enum TransferFunctionType

    java.lang.Object
      java.lang.Enum<TransferFunctionType>
          org.neuroph.util.TransferFunctionType

All Implemented Interfaces:
  Serializable, Comparable<TransferFunctionType>

    public enum TransferFunctionType

extends Enum<TransferFunctionType>

Contains transfer functions types and labels.

Enum Constant Summary
`GAUSSIAN`
`LINEAR`
`LOG`
`RAMP`
`SGN`
`SIGMOID`
`SIN`
`STEP`
`TANH`
`TRAPEZOID`

Method Summary
`Class` | `getTypeClass()`
`String` | `getTypeLabel()`
`static TransferFunctionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TransferFunctionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LINEAR

    public static final TransferFunctionType LINEAR

### RAMP

    public static final TransferFunctionType RAMP

### STEP

    public static final TransferFunctionType STEP

### SIGMOID

    public static final TransferFunctionType SIGMOID

### TANH

    public static final TransferFunctionType TANH

### GAUSSIAN

    public static final TransferFunctionType GAUSSIAN

### TRAPEZOID

    public static final TransferFunctionType TRAPEZOID

### SGN

    public static final TransferFunctionType SGN

### SIN

    public static final TransferFunctionType SIN

### LOG

    public static final TransferFunctionType LOG

Method Detail

### values

    public static TransferFunctionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TransferFunctionType c : TransferFunctionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TransferFunctionType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getTypeLabel

    public String getTypeLabel()

### getTypeClass

    public Class getTypeClass()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012. All Rights Reserved.